Summary:	A public domain clone of the Korn shell (ksh)
Name:		pdksh
Version:	5.2.14
Release:	17mdk
License:	Public Domain
Group:		Shells
URL:		http://www.cs.mun.ca/~michael/pdksh
Source:		ftp://ftp.cs.mun.ca/pub/pdksh/%name-%version.tar.bz2
Patch3:		pdksh-5.2.14-manloc.patch.bz2
# patch3 from rh
Patch4:		pdksh-5.2.14-debian.patch.bz2
# patch4 from debian and openbsd
BuildRoot:	%_tmppath/%name-%version-root
Prereq:		coreutils, grep, rpm-helper >= 0.7

%description
The pdksh package contains PD-ksh, a clone of the Korn shell (ksh).
The ksh shell is a command interpreter intended for both interactive
and shell script use.  Ksh's command language is a superset of the
sh shell language.

Install the pdksh package if you want to use a version of the ksh
shell.

%prep
%setup -q
%patch3 -p1
%patch4 -p1 -b .debian


%build
CFLAGS="%{optflags} -DDEBIAN" %configure
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{/bin,%_bindir,%_mandir/man1}

install -s -c -m755 ksh $RPM_BUILD_ROOT/bin/ksh
install -c -m644 ksh.1 $RPM_BUILD_ROOT%_mandir/man1/ksh.1
ln -sf ksh.1 $RPM_BUILD_ROOT%_mandir/man1/pdksh.1
ln -sf /bin/ksh $RPM_BUILD_ROOT%_bindir/ksh
ln -sf /bin/ksh $RPM_BUILD_ROOT%_bindir/pdksh


%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/share/rpm-helper/add-shell %name $1 /bin/ksh

%postun
/usr/share/rpm-helper/del-shell %name $1 /bin/ksh

%files
%defattr(-,root,root)
%doc README NOTES PROJECTS NEWS BUG-REPORTS
/bin/*
%_bindir/*
%_mandir/*/*

%changelog
* Fri Apr 15 2005 Claudio Matsuoka <claudio@mandriva.com> 5.2.14-17mdk
- added a collection of patches from OpenBSD and Debian, providing
  command line completion with escape sequences, secure tempfile
  creation and proper alignment for IA64.
- redundant patches commented out

* Thu Aug 19 2004 Stew Benedict <sbenedict@mandrakesoft.com> 5.2.14-16mdk
- rebuild

* Thu Jul 24 2003 Per yvind Karlsen <peroyvind@sintrax.net> 5.2.14-15mdk
- rebuild

* Mon Jan  6 2003 Stew Benedict <sbenedict@mandrakesoft.com> 5.2.14-14mdk
- rebuild for new glibc/rpm

* Tue Nov 05 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.2.14-13mdk
- remove useless prefix
- Prereq: rpm-helper >= 0.7
- use {add,del}-shell
- requires s/fileutils/coreutils
- fix %%define abuse
- rpmlint fixes

* Tue Aug 07 2001 Yves Duret <yduret@mandrakesoft.com> 5.2.14-12mdk
- fix bug in typeset,job, set -x (P1)
- man pages on correct location (P3)
- fix alignment problems on ia64 (P64)
- added fileutils and grep to Prereq
- fixed bugs
- fixed source

* Wed Apr 25 2001 Yves Duret <yduret@mandrakesoft.com> 5.2.14-11mdk
- sanitized spec file

* Sun Dec 10 2000 yves <yduret@mandrakesoft.com> 5.2.14-10mdk
- macros %%make

* Tue Nov  7 2000 Pixel <pixel@mandrakesoft.com> 5.2.14-9mdk
- fix the %%post scripts

* Wed Jul 19 2000 Pixel <pixel@mandrakesoft.com> 5.2.14-8mdk
- macroization
- BM

* Sat Mar 25 2000 Pixel <pixel@mandrakesoft.com> 5.2.14-7mdk
- new group + lceanup

* Tue Nov 02 1999 John Buswell <johnb@mandrakesoft.com>
- Rebuild and Repackage for oxygen (release 6)

* Tue Sep 28 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix wrong manpages (#216) (#135).

* Fri Jul 16 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 5.2.14.
- Removing unused patch.

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Wed Mar 17 1999 Jeff Johnson <jbj@redhat.com>
- glibc 2.1 doesn't init sys_siglist for 32 <= i < NSIG (#1473)

* Fri Mar 12 1999 Jeff Johnson <jbj@redhat.com>
- upgrade to 5.2.13.

* Sun Aug 16 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- fixed the spec file

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc
